org.eclipse.ui.handlers

## Class ShowViewHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.ui.handlers.ShowViewHandler

All Implemented Interfaces:
  IHandler, IHandler2

    public final class ShowViewHandler
    extends AbstractHandler

Shows the given view. If no view is specified in the parameters, then this opens the view selection dialog.

Since:
  3.1

### Constructor Summary

Constructors
Constructor and Description
`ShowViewHandler()` Creates a new ShowViewHandler that will open the view in its default location.
`ShowViewHandler(boolean makeFast)` Creates a new ShowViewHandler that will optionally force the view to become a fast view.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `execute(ExecutionEvent event)` Executes with the map of parameter values by name.

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowViewHandler

    public ShowViewHandler()

Creates a new ShowViewHandler that will open the view in its default location.

#### ShowViewHandler

    public ShowViewHandler(boolean makeFast)

Creates a new ShowViewHandler that will optionally force the view to become a fast view.

Parameters:
  `makeFast` - if true, the view will be moved to the fast view bar (even if it already exists elsewhere). If false, the view will be shown in its default location. Calling with false is equivalent to using the default constructor.

### Method Detail

#### execute

    public final Object execute(ExecutionEvent event)
                         throws ExecutionException

Description copied from interface: `IHandler`
Executes with the map of parameter values by name.

Parameters:
  `event` - An event containing all the information about the current state of the application; must not be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.
Throws:
  `ExecutionException` - if an exception occurred during execution.